require 'minitest/autorun'
require 'hola_arielpalmeira'

class HolaArielpalmeiraTest < Minitest::Test
    def test_english_salutation
        assert_equal "Hello World!",
            HolaArielpalmeira.salute("  EnGlIsH  ")
    end

    def test_any_salutation
        assert_equal "Saluton Mondo!",
            HolaArielpalmeira.salute("  RuBy  ")
    end

    def test_blank_salutation
        assert_equal "Saluton Mondo!",
            HolaArielpalmeira.salute
    end

    def test_spanish_salutation
        assert_equal "Hola Mundo!",
            HolaArielpalmeira.salute("  sPaNiSh  ")
    end

    def test_esperanto_salutation
        assert_equal "Saluton Mondo!",
            HolaArielpalmeira.salute("  EsPeRaNtO  ")
    end

    def test_portuguese_salutation
        assert_equal "Olá Mundo!",
            HolaArielpalmeira.salute("  PoRtUgUeSe  ")
    end
end
